package dayseventeen

import (
	"github.com/onyx-and-iris/aoc2024/day-17/internal/one"
	"github.com/onyx-and-iris/aoc2024/day-17/internal/two"
)

func Solve(buf []byte) (string, int64, error) {
	answerOne, err := one.Solve(buf)
	if err != nil {
		return "", 0, err
	}

	answerTwo, err := two.Solve(buf)
	if err != nil {
		return "", 0, err
	}

	return answerOne, answerTwo, nil
}
